## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToRstSpecialParagraphHandler

### Document::ezcDocumentDocbookToRstSpecialParagraphHandler

### Class ezcDocumentDocbookToRstSpecialParagraphHandler

Visit special paragraphs.

Transform the paragraphs with special annotations like <note> and <caution> to paragraphs inside the HTML document with a class representing the meaning of the docbook elements. The mapping which is used inside this method is used throughout the document comoponent and compatible with the RTS mapping.

Source for this file: /Document/src/converters/element_visitor/docbook/rst/special_paragraph.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToRstBaseHandler
          |
          --ezcDocumentDocbookToRstSpecialParagraphHandler

Version: | //autogen//

### Member Variables

protected array | `$types = array( 'note' => 'note', 'tip' => 'notice', 'warning' => 'warning', 'important' => 'attention', 'caution' => 'danger', )` Handled paragraph names / types

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToRstBaseHandler
protected string | `ezcDocumentDocbookToRstBaseHandler::renderDirective()` Render a directive
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3